Make intellij setup not recompile bazel quite as much

Also removed tools/jdk/jdk check (as it's not created anymore) added dash to the excluded dirs.

Fixes #295.

--
MOS_MIGRATED_REVID=99175421
diff --git a/scripts/get_all_bazel_paths.sh b/scripts/get_all_bazel_paths.sh
index 4a0cbfe..11dbb54 100755
--- a/scripts/get_all_bazel_paths.sh
+++ b/scripts/get_all_bazel_paths.sh
@@ -25,18 +25,20 @@
 }
 
 # Compile bazel
-([ -f "output/bazel" ] \
-  && [ -f "tools/jdk/JavaBuilder_deploy.jar" ] \
+[ -f "output/bazel" ] || ./compile.sh compile >&2 || exit $?
+([ -f "tools/jdk/JavaBuilder_deploy.jar" ] \
   && [ -f "tools/jdk/ijar" ] \
   && [ -f "tools/jdk/SingleJar_deploy.jar" ] \
-  && [ -f "tools/jdk/GenClass_deploy.jar" ] \
-  && [ -e "tools/jdk/jdk" ]) || ./compile.sh >&2 || exit $?
+  && [ -f "tools/jdk/GenClass_deploy.jar" ]) \
+  || ./compile.sh tools,init output/bazel >&2 \
+  || exit $?
 
 # Build almost everything.
 # //third_party/ijar/test/... is disabled due to #273.
 # xcode and android tools do not work out of the box.
 ./output/bazel build -- //src/... //third_party/... \
-  -//third_party/ijar/test/... -//src/tools/{xcode,android}/... >&2 || exit $?
+  -//third_party/ijar/test/... -//src/tools/{xcode,android,dash}/... >&2 \
+  || exit $?
 
 # Source roots.
 JAVA_PATHS="$(find src -name "*.java" | sed "s|/com/google/.*$||" | sort -u)"